[@rxap/open-api](../wiki/globals) / NotContainsReferenceObjects

# Function: NotContainsReferenceObjects()

> **NotContainsReferenceObjects**\<`T`\>(`array`?): `array is T[]`

Defined in: [packages/angular/open-api/src/lib/utilities.ts:8](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/open-api/src/lib/utilities.ts#L8)

## Type Parameters

• **T**

## Parameters

### array?

(`undefined` \| `ReferenceObject` \| `T`)[]

## Returns

`array is T[]`
